Package be.fgov.ehealth.dics.protocol.v5

# Class FindVtmRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v5.DicsRequestType
be.fgov.ehealth.dics.protocol.v5.FindVtmRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class FindVtmRequest extends DicsRequestType implements Serializable

Java class for FindVtmRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindVtmRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <choice>
             <element name="FindByTherapeuticMoiety" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByTherapeuticMoietyType"/>
             <element name="FindByProduct" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByVirtualProductType"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindVtmRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindByVirtualProductType`
  `getFindByProduct()`
  Returns all VTMs referenced by the product(s) matching the given code or name.
  `FindByTherapeuticMoietyType`
  `getFindByTherapeuticMoiety()`
  Returns all VTMs identified by the given name or code
  `void`
  `setFindByProduct(FindByVirtualProductType value)`
  Sets the value of the findByProduct property.
  `void`
  `setFindByTherapeuticMoiety(FindByTherapeuticMoietyType value)`
  Sets the value of the findByTherapeuticMoiety property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType

  `getSearchDate, setSearchDate`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindVtmRequest

    public FindVtmRequest()

- ## Method Details

  - ### getFindByProduct

    public FindByVirtualProductType getFindByProduct()
    Returns all VTMs referenced by the product(s) matching the given code or name.
    Returns:
      possible object is `FindByVirtualProductType`

  - ### setFindByProduct

    public void setFindByProduct(FindByVirtualProductType value)
    Sets the value of the findByProduct property.
    Parameters:
      `value` - allowed object is `FindByVirtualProductType`
    See Also:
      - `getFindByProduct()`

  - ### getFindByTherapeuticMoiety

    public FindByTherapeuticMoietyType getFindByTherapeuticMoiety()
    Returns all VTMs identified by the given name or code
    Returns:
      possible object is `FindByTherapeuticMoietyType`

  - ### setFindByTherapeuticMoiety

    public void setFindByTherapeuticMoiety(FindByTherapeuticMoietyType value)
    Sets the value of the findByTherapeuticMoiety property.
    Parameters:
      `value` - allowed object is `FindByTherapeuticMoietyType`
    See Also:
      - `getFindByTherapeuticMoiety()`